## teem 1.11.0~svn5226

=== CMakeLists.txt ===
#
# Teem: Tools to process and visualize scientific data and images
# Copyright (C) 2008, 2007, 2006, 2005  Gordon Kindlmann
# Copyright (C) 2004, 2003, 2002, 2001, 2000, 1999, 1998  University of Utah
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public License
# (LGPL) as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
# The terms of redistributing and/or modifying this software also
# include exceptions to the LGPL that facilitate static linking.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this library; if not, write to Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
#

# This is the root Teem CMakeLists file
CMAKE_MINIMUM_REQUIRED(VERSION 2.4)

# As of CMake 2.6 Policies were introduced in order to provide a mechanism for
# adding backwards compatibility one feature at a time.

# Run cmake --help-policy CMP<num> to see documentation.
IF(COMMAND cmake_policy)
  # Library paths (/path/to/libmy.so not translated to -L/path/to -lmy)
  CMAKE_POLICY(SET CMP0003 NEW)
ENDIF(COMMAND cmake_policy)

PROJECT(Teem)

#-----------------------------------------------------------------------------
# Teem version number.  Must reflect the values in teem/src/air/air.h
SET(Teem_VERSION_MAJOR "1")
SET(Teem_VERSION_MINOR "11")
SET(Teem_VERSION_PATCH "0")

# Version string should not include patch level.  The major.minor is
# enough to distinguish available features of the toolkit.
SET(Teem_VERSION_STRING "${Teem_VERSION_MAJOR}.${Teem_VERSION_MINOR}.${Teem_VERSION_PATCH}")

SET(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/CMake")

# We need ansi c-flags, especially on HP
SET(CMAKE_C_FLAGS "${CMAKE_ANSI_CFLAGS} ${CMAKE_C_FLAGS}")
SET(CMAKE_REQUIRED_FLAGS ${CMAKE_ANSI_CFLAGS})

#-----------------------------------------------------------------------------
# Test for some required system information.
INCLUDE (CMakeBackwardCompatibilityC)

#-----------------------------------------------------------------------------
# Output directories.
SET (LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/bin CACHE INTERNAL "Single output directory for building all libraries.")
SET (EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR}/bin CACHE INTERNAL "Single output directory for building all executables.")
#output directory for installing all include files.")
MARK_AS_ADVANCED(LIBRARY_OUTPUT_PATH EXECUTABLE_OUTPUT_PATH)
SET(Teem_LIBRARY_PATH "${LIBRARY_OUTPUT_PATH}")
SET(Teem_EXECUTABLE_PATH "${EXECUTABLE_OUTPUT_PATH}")
SET(C_TEST_PATH ${EXECUTABLE_OUTPUT_PATH})


FILE(MAKE_DIRECTORY ${Teem_BINARY_DIR}/include)
FILE(MAKE_DIRECTORY ${Teem_BINARY_DIR}/include/teem)

#-----------------------------------------------------------------------------
# Find platform-specific differences in the handling of IEEE floating point 
# special values.

INCLUDE(${Teem_SOURCE_DIR}/CMake/TestQnanhibit.cmake)
TEST_QNANHIBIT(QNANHIBIT_VALUE ${Teem_SOURCE_DIR}/CMake)
IF(QNANHIBIT_VALUE)
  SET(QNANHIBIT 1 CACHE INTERNAL "The 22nd bit of 32-bit floating-point quiet NaN.")
ELSE(QNANHIBIT_VALUE)
  SET(QNANHIBIT 0 CACHE INTERNAL "The 22nd bit of 32-bit floating-point quiet NaN.")
ENDIF(QNANHIBIT_VALUE)


#-----------------------------------------------------------------------------
# Teem build configuration options.
OPTION(BUILD_SHARED_LIBS "Build Teem with shared libraries." OFF)
SET(Teem_BUILD_SHARED_LIBS ${BUILD_SHARED_LIBS})
IF(NOT Teem_BUILD_SHARED_LIBS)
  ADD_DEFINITIONS(-DTEEM_STATIC)
ENDIF(NOT Teem_BUILD_SHARED_LIBS)

OPTION(Teem_ZLIB "Build Teem with support for gzip compression." ON)
OPTION(Teem_PNG "Build Teem with support for PNG images." ON)
OPTION(Teem_VTK_MANGLE "Build Teem using the mangled libraries from VTK for ZLIB and PNG." OFF)
SET(Teem_VTK_ZLIB_MANGLE_IPATH "" CACHE PATH "Location of vtk_zlib_mangle.h")
SET(Teem_VTK_TOOLKITS_IPATH "" CACHE PATH "Location of VTK Build directory for ZLIB and PNG includes.")

# Can't build PNG without ZLIB, so force it on.
IF(Teem_PNG AND NOT Teem_ZLIB)
  SET(Teem_ZLIB ON)
ENDIF(Teem_PNG AND NOT Teem_ZLIB)

IF(Teem_VTK_MANGLE)
  ADD_DEFINITIONS(-DTEEM_VTK_MANGLE=1)
  INCLUDE_DIRECTORIES( ${Teem_VTK_TOOLKITS_IPATH} )
  INCLUDE_DIRECTORIES( ${Teem_VTK_ZLIB_MANGLE_IPATH} )
ENDIF(Teem_VTK_MANGLE)


SET(Teem_ZLIB_LIB "")
SET(Teem_PNG_LIB "")
IF(Teem_ZLIB)
  # Find ZLIB
  FIND_PACKAGE(ZLIB)
  IF(ZLIB_FOUND)
    ADD_DEFINITIONS(-DTEEM_ZLIB)
    SET(Teem_ZLIB_LIB ${ZLIB_LIBRARIES})
    SET(Teem_ZLIB_IPATH ${ZLIB_INCLUDE_DIR})
  ELSE(ZLIB_FOUND)
    # We need to set this as a cache variable, so that it will show up as
    # being turned off in the cache.
    MESSAGE("warning: Turning off Teem_ZLIB, because it wasn't found.")
    SET(Teem_ZLIB OFF CACHE BOOL "Build Teem with support for gzip compression." FORCE)
  ENDIF(ZLIB_FOUND)

  IF(Teem_PNG)
    FIND_PACKAGE(PNG)
    IF(PNG_FOUND)
      ADD_DEFINITIONS(-DTEEM_PNG ${PNG_DEFINITIONS})
      SET(Teem_PNG_LIB ${PNG_LIBRARIES})
      SET(Teem_PNG_IPATH ${PNG_INCLUDE_DIR})
    ELSE(PNG_FOUND)
      # We need to set this as a cache variable, so that it will show up as
      # being turned off in the cache.
      MESSAGE("warning: Turning off Teem_PNG, because it wasn't found.")
      SET(Teem_PNG OFF CACHE BOOL "Build Teem with support for PNG images." FORCE)
    ENDIF(PNG_FOUND)
  ENDIF(Teem_PNG)
ENDIF(Teem_ZLIB)

# Try and locate BZIP2 stuff
OPTION(Teem_BZIP2 "Build Teem with support for bzip compression." ON)
SET(Teem_BZIP2_LIB "")

IF(Teem_BZIP2)
  FIND_PACKAGE(BZ2)

  IF(BZ2_FOUND)
    ADD_DEFINITIONS(-DTEEM_BZIP2)
    SET(Teem_BZIP2_LIB ${BZ2_LIBRARIES})
    SET(Teem_BZIP2_IPATH ${BZ2_INCLUDE_DIR})
  ELSE(BZ2_FOUND)
    # We need to set this as a cache variable, so that it will show up as
    # being turned off in the cache.
    MESSAGE("warning: Turning off Teem_BZIP2, because it wasn't found.")
    SET(Teem_BZIP2 OFF CACHE BOOL "Build Teem with support for bzip compression." FORCE)
  ENDIF(BZ2_FOUND)
ENDIF(Teem_BZIP2)

# Look for threading libraries
OPTION(Teem_PTHREAD "Build Teem with pthread library support." ON)
IF(Teem_PTHREAD)
  INCLUDE(FindThreads)
  IF(CMAKE_USE_PTHREADS_INIT)
    ADD_DEFINITIONS(-DTEEM_PTHREAD)
  ELSE(CMAKE_USE_PTHREADS_INIT)
    # We need to set this as a cache variable, so that it will show up as
    # being turned off in the cache.
    MESSAGE("warning: Turning off Teem_PTHREAD, because it wasn't found.")
    SET(Teem_PTHREAD OFF CACHE BOOL "Build Teem with pthread library support." FORCE)
    SET(Teem_PTHREAD OFF)
  ENDIF(CMAKE_USE_PTHREADS_INIT)
ENDIF(Teem_PTHREAD)

# Look for "levmar" library <http://www.ics.forth.gr/~lourakis/levmar/>
OPTION(Teem_LEVMAR "Build Teem with levmar library support." OFF)
SET(Teem_LEVMAR_LIB "")
IF(Teem_LEVMAR)
  FIND_PACKAGE(LEVMAR)

  IF(LEVMAR_FOUND)
    ADD_DEFINITIONS(-DTEEM_LEVMAR)
    SET(Teem_LEVMAR_LIB ${LEVMAR_LIBRARIES})
    SET(Teem_LEVMAR_IPATH ${LEVMAR_INCLUDE_DIR})
  ELSE(LEVMAR_FOUND)
    # We need to set this as a cache variable, so that it will show up as
    # being turned off in the cache.
    MESSAGE("warning: Turning off Teem_LEVMAR, because it wasn't found.")
    SET(Teem_LEVMAR OFF CACHE BOOL "Build Teem with levmar library support." FORCE)
  ENDIF(LEVMAR_FOUND)
ENDIF(Teem_LEVMAR)

# Look for fftw <http://www.fftw.org/>
OPTION(Teem_FFTW3 "Build Teem with fftw library support." OFF)
SET(Teem_FFTW3_LIB "")

IF(Teem_FFTW3)
  FIND_PACKAGE(FFTW3)

  IF(FFTW3_FOUND)
    ADD_DEFINITIONS(-DTEEM_FFTW3)
    SET(Teem_FFTW3_LIB ${FFTW3_LIBRARIES})
    SET(Teem_FFTW3_IPATH ${FFTW3_INCLUDE_DIR})
  ELSE(FFTW3_FOUND)
    # We need to set this as a cache variable, so that it will show up as
    # being turned off in the cache.
    MESSAGE("warning: Turning off Teem_FFTW3, because it wasn't found.")
    SET(Teem_FFTW3 OFF CACHE BOOL "Build Teem with fftw library support." FORCE)
  ENDIF(FFTW3_FOUND)
ENDIF(Teem_FFTW3)

#-----------------------------------------------------------------------------

IF(${CMAKE_GENERATOR} MATCHES "Visual Studio")
  # For Visual Studio we don't care about warnings about deprecated sprintf and
  # the like.
  ADD_DEFINITIONS(-D_CRT_SECURE_NO_DEPRECATE -D_CRT_NONSTDC_NO_DEPRECATE)
ENDIF(${CMAKE_GENERATOR} MATCHES "Visual Studio")

#Include Teem Defines
# Set compiler flags for endian-ness.
# On Apple this should be done at compile time since it is 
# possible to compile several architectures simultaneously
if( NOT APPLE )
  IF(CMAKE_WORDS_BIGENDIAN)
    ADD_DEFINITIONS(-DTEEM_ENDIAN=4321)
  ELSE(CMAKE_WORDS_BIGENDIAN)
    ADD_DEFINITIONS(-DTEEM_ENDIAN=1234)
  ENDIF(CMAKE_WORDS_BIGENDIAN)
endif( NOT APPLE )

#The QNANHIBIT variable is configured by the root level CMakeLists.txt
IF(QNANHIBIT)
  ADD_DEFINITIONS(-DTEEM_QNANHIBIT=1)
ELSE(QNANHIBIT)
  ADD_DEFINITIONS(-DTEEM_QNANHIBIT=0)
ENDIF(QNANHIBIT)

#DirectIO is the fast way to do multi-gigabyte I/O and currently only available
#for SGI platforms.  Use of DirectIO is enabled manually for now.
#OPTION(USE_DIRECTIO "Use DirectIO for Nrrd file IO.  Only valid on SGI systems." 0)
#MARK_AS_ADVANCED(USE_DIRECTIO)
#IF(USE_DIRECTIO)
#  ADD_DEFINITIONS(-DTEEM_DIO=1)
#ELSE(USE_DIRECTIO)
ADD_DEFINITIONS(-DTEEM_DIO=0)
#ENDIF(USE_DIRECTIO)

SET(BUILD_EXPERIMENTAL_LIBS OFF CACHE BOOL "Build Teem's experimental/unstable libraries")
SET(BUILD_EXPERIMENTAL_APPS OFF CACHE BOOL "Build Teem's non-essential command-line tools")

# (TEEM_LIB_LIST)
SET(Teem_LIBRARIES air hest biff nrrd ell unrrdu moss gage dye limn echo hoover seek ten pull mite meet)
IF(BUILD_EXPERIMENTAL_LIBS)
  # This list of the "experimental" libraries must be kept in sync with:
  # * definition of Teem_HEADER_FILES (below)
  # * teem/src/meet/meet.h
  # * teem/src/meet/enumsall.c 
  SET(Teem_LIBRARIES ${Teem_LIBRARIES} alan tijk bane elf coil push)
  ADD_DEFINITIONS(-DTEEM_BUILD_EXPERIMENTAL_LIBS)
ENDIF(BUILD_EXPERIMENTAL_LIBS)

SET(Teem_HEADER_FILES
  air/air.h
  hest/hest.h
  biff/biff.h
  nrrd/nrrd.h   nrrd/nrrdDefines.h   nrrd/nrrdMacros.h  nrrd/nrrdEnums.h
  ell/ell.h     ell/ellMacros.h
  unrrdu/unrrdu.h
  moss/moss.h
  gage/gage.h
  dye/dye.h
  limn/limn.h
  echo/echo.h
  hoover/hoover.h
  seek/seek.h
  ten/ten.h     ten/tenMacros.h
  pull/pull.h
  mite/mite.h
  meet/meet.h
  )
IF(BUILD_EXPERIMENTAL_LIBS)
  SET(Teem_HEADER_FILES ${Teem_HEADER_FILES}
    alan/alan.h
    tijk/tijk.h
    bane/bane.h
    elf/elf.h
    coil/coil.h
    push/push.h
    )
ENDIF(BUILD_EXPERIMENTAL_LIBS)
SET(Teem_INSTALLED_HEADER_FILES)
FOREACH(header_file ${Teem_HEADER_FILES})
  # When debugging, uncomment this line
  #MESSAGE(STATUS "Copy header file: ${header_file}")
  GET_FILENAME_COMPONENT(file_no_path "${header_file}" NAME)
  CONFIGURE_FILE("${CMAKE_CURRENT_SOURCE_DIR}/src/${header_file}"
    "${CMAKE_CURRENT_BINARY_DIR}/include/teem/${file_no_path}" COPYONLY IMMEDIATE)
  SET(Teem_INSTALLED_HEADER_FILES
    ${Teem_INSTALLED_HEADER_FILES}
    "${CMAKE_CURRENT_BINARY_DIR}/include/teem/${file_no_path}")
ENDFOREACH(header_file)

#---
# Include directory 
INCLUDE_DIRECTORIES(
  "${Teem_BINARY_DIR}/include/"
  "${Teem_SOURCE_DIR}/include/"
  )


## Add external library path includes
IF(Teem_ZLIB)
  INCLUDE_DIRECTORIES(${Teem_ZLIB_IPATH})
  INCLUDE_DIRECTORIES(${Teem_ZLIB_DLLCONF_IPATH})
  IF(Teem_PNG)
    INCLUDE_DIRECTORIES(${Teem_PNG_IPATH})
    INCLUDE_DIRECTORIES(${Teem_PNG_DLLCONF_IPATH})
  ENDIF(Teem_PNG)
ENDIF(Teem_ZLIB)

IF(Teem_BZIP2)
  INCLUDE_DIRECTORIES(${Teem_BZIP2_IPATH})
ENDIF(Teem_BZIP2)

IF(Teem_LEVMAR)
  INCLUDE_DIRECTORIES(${Teem_LEVMAR_IPATH})
ENDIF(Teem_LEVMAR)

IF(Teem_FFTW3)
  INCLUDE_DIRECTORIES(${Teem_FFTW3_IPATH})
ENDIF(Teem_FFTW3)

=== Testing/CMakeLists.txt ===
#
# Teem: Tools to process and visualize scientific data and images              
# Copyright (C) 2008, 2007, 2006, 2005  Gordon Kindlmann
# Copyright (C) 2004, 2003, 2002, 2001, 2000, 1999, 1998  University of Utah
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public License
# (LGPL) as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
# The terms of redistributing and/or modifying this software also
# include exceptions to the LGPL that facilitate static linking.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this library; if not, write to Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
#

PROJECT(TEEMTesting)

IF(Teem_BINARY_DIR)
  # We are building inside the tree
  IF(NOT EXECUTABLE_OUTPUT_PATH)
    SET (EXECUTABLE_OUTPUT_PATH ${Teem_BINARY_DIR} CACHE PATH
         "Single output directory for building all testing executables.")
    SET(C_TEST_PATH ${Teem_BINARY_DIR})
  ENDIF(NOT EXECUTABLE_OUTPUT_PATH)
ENDIF(Teem_BINARY_DIR)

# Create a header file with the path to the data in it.  Note that we don't
# have to make these paths "windows friendly" as it turns out windows can read
# forward slashed paths.
set(TESTING_DATA_PATH "${CMAKE_SOURCE_DIR}/data" CACHE PATH
  "Path to testing data")
mark_as_advanced(TESTING_DATA_PATH)

configure_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/testDataPath.h.in"
  "${CMAKE_BINARY_DIR}/include/testDataPath.h"
  )

ADD_TEST(nrrd.Sanity ${EXECUTABLE_OUTPUT_PATH}/nrrdSanity)

ADD_SUBDIRECTORY(air)
ADD_SUBDIRECTORY(biff)
ADD_SUBDIRECTORY(nrrd)
ADD_SUBDIRECTORY(meet)

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf _build/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) _build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in _build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) _build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) _build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in _build/qthelp, like this:"
	@echo "# qcollectiongenerator _build/qthelp/teem.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile _build/qthelp/teem.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in _build/doctest/output.txt."

=== Testing/air/CMakeLists.txt ===
#
# Teem: Tools to process and visualize scientific data and images              
# Copyright (c) 2011, 2010, 2009  University of Chicago
# Copyright (C) 2008, 2007, 2006, 2005  Gordon Kindlmann
# Copyright (C) 2004, 2003, 2002, 2001, 2000, 1999, 1998  University of Utah
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public License
# (LGPL) as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
# The terms of redistributing and/or modifying this software also
# include exceptions to the LGPL that facilitate static linking.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this library; if not, write to Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
#

ADD_EXECUTABLE(mtrandTest mtrand.c)
TARGET_LINK_LIBRARIES(mtrandTest teem)
ADD_TEST(mtrand ${EXECUTABLE_OUTPUT_PATH}/mtrandTest)

ADD_EXECUTABLE(strtokTest strtok.c)
TARGET_LINK_LIBRARIES(strtokTest teem)
ADD_TEST(strtok ${EXECUTABLE_OUTPUT_PATH}/strtokTest)

ADD_EXECUTABLE(pptestTest pptest.c)
TARGET_LINK_LIBRARIES(pptestTest teem)
ADD_TEST(pptest ${EXECUTABLE_OUTPUT_PATH}/pptestTest)

=== Testing/biff/CMakeLists.txt ===
#
# Teem: Tools to process and visualize scientific data and images              
# Copyright (c) 2011, 2010, 2009  University of Chicago
# Copyright (C) 2008, 2007, 2006, 2005  Gordon Kindlmann
# Copyright (C) 2004, 2003, 2002, 2001, 2000, 1999, 1998  University of Utah
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public License
# (LGPL) as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
# The terms of redistributing and/or modifying this software also
# include exceptions to the LGPL that facilitate static linking.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this library; if not, write to Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
#

ADD_EXECUTABLE(biffTest test.c)

TARGET_LINK_LIBRARIES(biffTest teem)

ADD_TEST(biff ${EXECUTABLE_OUTPUT_PATH}/biffTest)

=== Testing/meet/CMakeLists.txt ===
#
# Teem: Tools to process and visualize scientific data and images              
# Copyright (c) 2011, 2010, 2009  University of Chicago
# Copyright (C) 2008, 2007, 2006, 2005  Gordon Kindlmann
# Copyright (C) 2004, 2003, 2002, 2001, 2000, 1999, 1998  University of Utah
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public License
# (LGPL) as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
# The terms of redistributing and/or modifying this software also
# include exceptions to the LGPL that facilitate static linking.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this library; if not, write to Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
#

ADD_EXECUTABLE(enmallTest enmall.c)
TARGET_LINK_LIBRARIES(enmallTest teem)
ADD_TEST(enmall ${EXECUTABLE_OUTPUT_PATH}/enmallTest)

=== Testing/nrrd/CMakeLists.txt ===
#
# Teem: Tools to process and visualize scientific data and images              
# Copyright (c) 2011, 2010, 2009  University of Chicago
# Copyright (C) 2008, 2007, 2006, 2005  Gordon Kindlmann
# Copyright (C) 2004, 2003, 2002, 2001, 2000, 1999, 1998  University of Utah
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public License
# (LGPL) as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
# The terms of redistributing and/or modifying this software also
# include exceptions to the LGPL that facilitate static linking.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this library; if not, write to Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
#

ADD_EXECUTABLE(trandTest trand.c)
TARGET_LINK_LIBRARIES(trandTest teem)
ADD_TEST(trand ${EXECUTABLE_OUTPUT_PATH}/trandTest)

ADD_EXECUTABLE(tloadTest tload.c)
TARGET_LINK_LIBRARIES(tloadTest teem)
ADD_TEST(tload ${EXECUTABLE_OUTPUT_PATH}/tloadTest)

ADD_EXECUTABLE(sanityTest sanity.c)
TARGET_LINK_LIBRARIES(sanityTest teem)
ADD_TEST(sanity ${EXECUTABLE_OUTPUT_PATH}/sanityTest)

=== src/bin/CMakeLists.txt ===
#
# Teem: Tools to process and visualize scientific data and images              
# Copyright (C) 2008, 2007, 2006, 2005  Gordon Kindlmann
# Copyright (C) 2004, 2003, 2002, 2001, 2000, 1999, 1998  University of Utah
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public License
# (LGPL) as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
# The terms of redistributing and/or modifying this software also
# include exceptions to the LGPL that facilitate static linking.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this library; if not, write to Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
#

MACRO(CREATE_EXEC name sources)
  ADD_EXECUTABLE(${name} ${sources})
  TARGET_LINK_LIBRARIES(${name} teem)
  INSTALL(TARGETS ${name}
    RUNTIME DESTINATION bin
    )
  SET_TARGET_PROPERTIES(${name} PROPERTIES
    INSTALL_RPATH ${CMAKE_INSTALL_PREFIX}/lib
    )
ENDMACRO(CREATE_EXEC)

# These binaries should not be depending on BUILD_EXPERIMENTAL_LIBS
CREATE_EXEC(nrrdSanity nrrdSanity.c)
CREATE_EXEC(overrgb overrgb.c)
CREATE_EXEC(ilk ilk.c)
CREATE_EXEC(mrender mrender.c)
CREATE_EXEC(miter miter.c)
CREATE_EXEC(vprobe vprobe.c)
CREATE_EXEC(gprobe gprobe.c)
CREATE_EXEC(unu unu.c)
CREATE_EXEC(puller puller.c)
CREATE_EXEC(tend tend.c)

# NOTE: The BUILD_EXPERIMENTAL_LIBS-dependent inclusion of binaries has to be
# done with knowledge of how BUILD_EXPERIMENTAL_LIBS behaves in the top-level
# CMakeLists.txt file
IF(BUILD_EXPERIMENTAL_APPS)
  CREATE_EXEC(airSanity airSanity.c)
  CREATE_EXEC(cubic cubic.c)
  CREATE_EXEC(undos undos.c)
  CREATE_EXEC(qbert qbert.c)
  CREATE_EXEC(emap emap.c)
  CREATE_EXEC(talkweb talkweb.c)
  CREATE_EXEC(pprobe pprobe.c)
  CREATE_EXEC(ninspect ninspect.c)
  CREATE_EXEC(ungantry ungantry.c)
  CREATE_EXEC(deconv deconv.c)
  IF(BUILD_EXPERIMENTAL_LIBS)
    CREATE_EXEC(gkms gkms.c)
    CREATE_EXEC(spots spots.c)
  ENDIF(BUILD_EXPERIMENTAL_LIBS)
ENDIF(BUILD_EXPERIMENTAL_APPS)

#IF(BUILD_TESTING)
#  ADD_TEST(nrrd.Sanity ${EXECUTABLE_OUTPUT_PATH}/nrrdSanity)
#ENDIF(BUILD_TESTING)

=== src/hex/CMakeLists.txt ===
#
# Teem: Tools to process and visualize scientific data and images              
# Copyright (C) 2008, 2007, 2006, 2005  Gordon Kindlmann
# Copyright (C) 2004, 2003, 2002, 2001, 2000, 1999, 1998  University of Utah
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public License
# (LGPL) as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
# The terms of redistributing and/or modifying this software also
# include exceptions to the LGPL that facilitate static linking.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this library; if not, write to Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
#

ADD_EXECUTABLE(dehex
 dehex.c
)
ADD_EXECUTABLE(enhex
  enhex.c
)

=== debian/changelog ===
teem (1.11.0~svn5226-1) unstable; urgency=low

  * new upstream snapshot
  * upload to unstable 
  * removed DM upload rights
  * removed teem-doc package and dependencies

 -- Dominique Belhachemi <domibel@debian.org>  Fri, 06 Apr 2012 21:46:12 -0400

=== debian/control ===
Source: teem
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Dominique Belhachemi <domibel@debian.org>
Build-Depends: debhelper (>= 8), cmake, zlib1g-dev, libpng-dev,
 libbz2-dev, cdbs, quilt
Standards-Version: 3.9.3
Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/teem/trunk/
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/teem/trunk/
Section: libs
Homepage: http://teem.sourceforge.net/


Package: libteem-dev
Section: libdevel
Provides: libteem1-dev
Replaces: libteem1-dev
Conflicts: libteem1-dev
Architecture: any
Depends: libteem2 (= ${binary:Version}), ${misc:Depends}
Description: Tools to process and visualize scientific data and images - development
 Teem is a coordinated group of libraries for representing, processing, and
 visualizing scientific raster data. Teem includes command-line tools that
 permit the library functions to be quickly applied to files and streams,
 without having to write any code. The most important and useful libraries in
 Teem are:
 .
  * Nrrd (and the unu command-line tool on top of it) supports a range of
    operations for transforming N-dimensional raster data (resample, crop,
    slice, project, histogram, etc.), as  well as the NRRD file format for
    storing arrays and their meta-information.
  * Gage: fast convolution-based measurements at arbitrary point locations in
    volume datasets (scalar, vector, tensor, etc.)
  * Mite: a multi-threaded ray-casting volume render with transfer functions
    based on any quantity Gage can measure
  * Ten: for estimating, processing, and visualizing diffusion tensor fields,
    including fiber tractography methods.
 .
 This package provides the Teem header files required to compile C++ programs
 that use Teem to do 3D visualisation.


Package: teem-apps
Section: libdevel
Architecture: any
Depends: libteem2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Tools to process and visualize scientific data and images - command line tools
 Teem is a coordinated group of libraries for representing, processing, and
 visualizing scientific raster data. Teem includes command-line tools that
 permit the library functions to be quickly applied to files and streams,
 without having to write any code. The most important and useful libraries in
 Teem are:
 .
  * Nrrd (and the unu command-line tool on top of it) supports a range of
    operations for transforming N-dimensional raster data (resample, crop,
    slice, project, histogram, etc.), as  well as the NRRD file format for
    storing arrays and their meta-information.
  * Gage: fast convolution-based measurements at arbitrary point locations in
    volume datasets (scalar, vector, tensor, etc.)
  * Mite: a multi-threaded ray-casting volume render with transfer functions
    based on any quantity Gage can measure
  * Ten: for estimating, processing, and visualizing diffusion tensor fields,
    including fiber tractography methods.
 . 
 This package contains some simple command-line tools which provide fast and
 easy access to the functionality in the various libraries.


Package: libteem2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tools to process and visualize scientific data and images - runtime
 Teem is a coordinated group of libraries for representing, processing, and
 visualizing scientific raster data. Teem includes command-line tools that
 permit the library functions to be quickly applied to files and streams,
 without having to write any code. The most important and useful libraries in
 Teem are:
 .
  * Nrrd (and the unu command-line tool on top of it) supports a range of
    operations for  transforming N-dimensional raster data (resample, crop,
    slice, project, histogram, etc.), as  well as the NRRD file format for
    storing arrays and their meta-information.
  * Gage: fast convolution-based measurements at arbitrary point locations in
    volume datasets (scalar, vector, tensor, etc.)
  * Mite: a multi-threaded ray-casting volume render with transfer functions
    based on any quantity Gage can measure
  * Ten: for estimating, processing, and visualizing diffusion tensor fields,
    including fiber tractography methods.
 .
 This package provides the runtime files required to run programs
 that use Teem to do 3D visualisation.


Package: libteem2-dbg
Architecture: any
Section: debug
Priority: extra
Depends:
    libteem2 (= ${binary:Version}),
    ${misc:Depends}
Description: debugging symbols for libteem2
 Teem is a coordinated group of libraries for representing, processing, and
 visualizing scientific raster data. Teem includes command-line tools that
 permit the library functions to be quickly applied to files and streams,
 without having to write any code. The most important and useful libraries in
 Teem are:
 .
  * Nrrd (and the unu command-line tool on top of it) supports a range of
    operations for  transforming N-dimensional raster data (resample, crop,
    slice, project, histogram, etc.), as  well as the NRRD file format for
    storing arrays and their meta-information.
  * Gage: fast convolution-based measurements at arbitrary point locations in
    volume datasets (scalar, vector, tensor, etc.)
  * Mite: a multi-threaded ray-casting volume render with transfer functions
    based on any quantity Gage can measure
  * Ten: for estimating, processing, and visualizing diffusion tensor fields,
    including fiber tractography methods.
 .
 This package contains the debugging symbols for libteem2.
